Permalink
Commits on Dec 6, 2017
Commits on Aug 25, 2017
  1. Merge branch '4.0'

    fabpot committed Aug 25, 2017
    * 4.0:
      fixed makePathRelative usage
  2. minor #323 link in upgrade points to somewhere existing (SimonHeimberg)

    fabpot committed Aug 25, 2017
    This PR was merged into the 5.0.x-dev branch.
    
    Discussion
    ----------
    
    link in upgrade points to somewhere existing
    
    master branch does not exist anymore
    
    Commits
    -------
    
    b2c6eb1 link in upgrade points to somewhere existing
  3. fixed makePathRelative usage

    fabpot committed Aug 25, 2017
Commits on Aug 10, 2017
  1. link in upgrade points to somewhere existing

    SimonHeimberg committed Aug 10, 2017
    master branch does not exist anymore
Commits on May 11, 2017
  1. fixed CS

    fabpot committed May 11, 2017
  2. bug #317 Remove decoration from forwarded exception (ro0NL)

    fabpot committed May 11, 2017
    This PR was merged into the 5.0.x-dev branch.
    
    Discussion
    ----------
    
    Remove decoration from forwarded exception
    
    See symfony/symfony#22618
    
    before
    ![image](https://cloud.githubusercontent.com/assets/1047696/25667089/bed3c6a2-3022-11e7-9557-baa9e8a5a71c.png)
    
    after
    ![image](https://cloud.githubusercontent.com/assets/1047696/25667328/7935c46e-3023-11e7-8562-ab2a077dd487.png)
    
    Commits
    -------
    
    d5b9737 remove decoration from forwarded exception
  3. bug #315 Remove iconv as a recommendation as it is already a requirem…

    fabpot committed May 11, 2017
    …ent (romainneutron)
    
    This PR was merged into the 5.0.x-dev branch.
    
    Discussion
    ----------
    
    Remove iconv as a recommendation as it is already a requirement
    
    See https://github.com/sensiolabs/SensioDistributionBundle/blob/4.0/Resources/skeleton/app/SymfonyRequirements.php#L463-L467
    
    Commits
    -------
    
    2b3a3ba Remove iconv as a recommendation as it is already a requirement
  4. Merge branch '4.0'

    fabpot committed May 11, 2017
    * 4.0:
      Improve CLI error message
  5. minor #318 Improve CLI error message (eibt)

    fabpot committed May 11, 2017
    This PR was squashed before being merged into the 4.0 branch (closes #318).
    
    Discussion
    ----------
    
    Improve CLI error message
    
    - Improve readability of CLI message by adding a newline at the end
    
    Before:
    ![captura de pantalla 2017-05-10 a las 11 00 37 p m](https://cloud.githubusercontent.com/assets/5503784/25934164/7cce3d52-35d9-11e7-9d95-2017bba949cb.png)
    
    After:
    ![captura de pantalla 2017-05-10 a las 11 03 04 p m](https://cloud.githubusercontent.com/assets/5503784/25934173/85d00426-35d9-11e7-9e6a-8847afb539cb.png)
    
    Commits
    -------
    
    ff8d75f Improve CLI error message
  6. Improve CLI error message

    eibt authored and fabpot committed May 11, 2017
Commits on May 3, 2017
Commits on Apr 23, 2017
  1. minor #311 New Heroku stack and simpler Procfile (dzuelke)

    fabpot committed Apr 23, 2017
    This PR was squashed before being merged into the 5.0.x-dev branch (closes #311).
    
    Discussion
    ----------
    
    New Heroku stack and simpler Procfile
    
    The `cedar` stack has been retired in late 2015 (https://devcenter.heroku.com/changelog-items/755), but `heroku-16` is in beta now.
    
    The `heroku-php-apache2` and friends boot scripts are also always on `$PATH`, so the command can be simplified.
    
    Commits
    -------
    
    0b610fd New Heroku stack and simpler Procfile
  2. New Heroku stack and simpler Procfile

    dzuelke authored and fabpot committed Feb 21, 2017
  3. feature #313 Allow building bootstrap.php.cache when app/autoload.php…

    fabpot committed Apr 23, 2017
    … is absent (BPScott)
    
    This PR was merged into the 5.0.x-dev branch.
    
    Discussion
    ----------
    
    Allow building bootstrap.php.cache when app/autoload.php is absent
    
    If app/autoload.php is absent then use the autoload.php in Composer's
    vendor directory.
    
    symfony/symfony#21837 opens the door for removing `app/autoload.php` in Symfony apps. I tried removing that and updating the various reference to it in symfony-standard and my app works (🎉), but when I run composer install/update it complains about the buildBootstrap task expecting to find `app/autoload.php`.
    
    This fix tells the buildBootstrap task to use `vendor/autoload.php` if `app/autoload.php` is absent.
    
    Commits
    -------
    
    257ee2e Allow building bootstrap.php.cache when app/autoload.php is absent
Commits on Mar 28, 2017
Commits on Mar 16, 2017
  1. Allow building bootstrap.php.cache when app/autoload.php is absent

    BPScott committed Mar 16, 2017
    If app/autoload.php is absent then use the autoload.php in Composer's
    vendor directory.
Commits on Jan 10, 2017
  1. bug #307 Change a reference to the missing image with a Data URI (gju…

    fabpot committed Jan 10, 2017
    …ric)
    
    This PR was merged into the 5.0.x-dev branch.
    
    Discussion
    ----------
    
    Change a reference to the missing image with a Data URI
    
    In config.php there is a reference to an image that does not exist anymore.
    
    I took the old image and converted it to a Data URI format and updated the CSS.
    
    Commits
    -------
    
    434c690 Change a reference to the missing image with a Data URI
Commits on Jan 4, 2017
  1. Merge branch '4.0'

    fabpot committed Jan 4, 2017
    * 4.0:
      Remove deprecated ApcClassLoader
  2. minor #305 Remove deprecated ApcClassLoader (garak)

    fabpot committed Jan 4, 2017
    This PR was submitted for the master branch but it was merged into the 4.0 branch instead (closes #305).
    
    Discussion
    ----------
    
    Remove deprecated ApcClassLoader
    
    Commits
    -------
    
    e392dfa Remove deprecated ApcClassLoader
  3. Remove deprecated ApcClassLoader

    garak authored and fabpot committed Jan 4, 2017
  4. Merge branch '4.0'

    fabpot committed Jan 4, 2017
    * 4.0:
      Fixed PHP cli arguments guessing
  5. bug #304 Fixed PHP cli arguments guessing (HeahDude)

    fabpot committed Jan 4, 2017
    This PR was merged into the 4.0 branch.
    
    Discussion
    ----------
    
    Fixed PHP cli arguments guessing
    
    Closes #299.
    
    Commits
    -------
    
    4932234 Fixed PHP cli arguments guessing
Commits on Jan 2, 2017
  1. updated LICENSE year

    fabpot committed Jan 2, 2017
Commits on Dec 31, 2016
  1. Merge branch '4.0'

    fabpot committed Dec 31, 2016
    * 4.0:
      [Fix] Notice: A non well formed numeric value encountered
  2. bug #303 [Fix] Notice: A non well formed numeric value encountered (a…

    fabpot committed Dec 31, 2016
    …nddezr)
    
    This PR was submitted for the master branch but it was merged into the 4.0 branch instead (closes #303).
    
    Discussion
    ----------
    
    [Fix] Notice: A non well formed numeric value encountered
    
    realpath_cache_size can be with or without unit.
    Remove last character ($unit) from string $size if not all characters in $size are numerical.
    
    Commits
    -------
    
    1a1aecd [Fix] Notice: A non well formed numeric value encountered
  3. [Fix] Notice: A non well formed numeric value encountered

    anddezr authored and fabpot committed Dec 29, 2016
    realpath_cache_size can be with or without unit. 
    Remove last character ($unit) from string $size if not all characters in $size are numerical.
Commits on Dec 6, 2016
  1. bug #297 Dont inline Kernel when already there (nicolas-grekas)

    fabpot committed Dec 6, 2016
    This PR was merged into the 5.0.x-dev branch.
    
    Discussion
    ----------
    
    Dont inline Kernel when already there
    
    As spotted in symfony/symfony#20753 (comment)
    `Kernel` inlining is not compatible with old `"files": ["app/AppKernel.php"]` entries in composer.json
    
    Commits
    -------
    
    7046e6e Dont inline Kernel when already there
Commits on Dec 5, 2016
Commits on Oct 30, 2016
  1. Merge branch '4.0'

    fabpot committed Oct 30, 2016
    * 4.0:
      fixed .gitignore removal, added support for Symfony 3
Commits on Oct 8, 2016
  1. Merge branch '4.0'

    fabpot committed Oct 8, 2016
    * 4.0:
      Inlined some obsolete framework bundle dependencies
  2. bug #292 Inlined some obsolete framework bundle dependencies (HeahDude)

    fabpot committed Oct 8, 2016
    This PR was merged into the 4.0 branch.
    
    Discussion
    ----------
    
    Inlined some obsolete framework bundle dependencies
    
    Closes #291.
    
    Commits
    -------
    
    3c2f172 Inlined some obsolete framework bundle dependencies